package ru.yandex.webmaster3.viewer.http.user.settings.notification2;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.storage.notifications.NotificationChannel;
import ru.yandex.webmaster3.storage.user.notification.HostNotificationMode;
import ru.yandex.webmaster3.storage.user.notification.NotificationType;
import ru.yandex.webmaster3.viewer.http.AbstractUserRequest;

/**
 * @author aherman
 */
public class UpdateHostNotification2DefaultSettingRequest extends AbstractUserRequest {
    private NotificationType[] types;
    private NotificationChannel channel;
    private HostNotificationMode mode;

    @RequestQueryProperty(required = true)
    public void setTypes(NotificationType[] types) {
        this.types = types;
    }

    public NotificationType[] getTypes() {
        return types;
    }

    @RequestQueryProperty(required = true)
    public void setChannel(NotificationChannel channel) {
        this.channel = channel;
    }

    public NotificationChannel getChannel() {
        return channel;
    }

    @RequestQueryProperty(required = true)
    public void setMode(HostNotificationMode mode) {
        this.mode = mode;
    }

    public HostNotificationMode getMode() {
        return mode;
    }
}
